package com.cool.store.mapper;

import com.cool.store.entity.BanktypeDO;

import java.util.List;

/**
 * @author wxp
 * @date 2024-03-27 09:25
 */
public interface BanktypeMapper {
    /**
     *
     * 默认插入方法，只会给有值的字段赋值
	 * 会对传进来的字段做判空处理，如果字段为空，则使用数据库默认字段或者null
     * dateTime:2024-03-27 09:25
     */
    int insertSelective(BanktypeDO record);

    /**
     *
     * 默认查询方法，通过主键获取所有字段的值
     * dateTime:2024-03-27 09:25
     */
    BanktypeDO selectByPrimaryKey(String pkBanktype);

    /**
     *
     * 默认更新方法，根据主键更新，不会把null值更新到数据库，避免覆盖之前有值的
     * dateTime:2024-03-27 09:25
     */
    int updateByPrimaryKeySelective(BanktypeDO record);

    /**
     *
     * 默认更新方法，根据主键物理删除
     * dateTime:2024-03-27 09:25
     */
    int deleteByPrimaryKey(String pkBanktype);

    List<BanktypeDO> listBank();

}